<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE alert_mail_rules (
                id                                  BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                plant                               BIGINT NOT NULL DEFAULT(0),

                module                              TEXT NOT NULL,
                rule_name                           TEXT NOT NULL,

                email                               TEXT NOT NULL,
                schedule_type                       TEXT NOT NULL,

                created_at                          TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at                          TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at                          TIMESTAMP,

                created_by					        TEXT NOT NULL,
                updated_by					        TEXT NOT NULL

            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('alert_mail_rules');
    }
};
